.mat-autocomplete-panel {
    min-width: 0px !important;
}

.smallFirstOption {
    .mat-option-text {
        .matOptionCell:first-child {
            width: 30%;
        }

        .matOptionCell:last-child {
            width: 70%;
        }
    }
}

.mat-option-text {
    display: flex !important;
}

.matOptionCell {
    display: inline-block;
    // width: 50%;
    text-align: left !important;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    padding-right: 15px;
    height: fit-content;
    vertical-align: bottom;
    height: 100%;
}

.mat-autocomplete-panel {
    border-radius: 12px !important;
    box-shadow: 0 2px 16px rgba(0, 0, 0, 0.2) !important;
    border: solid 8px transparent !important;
}

.mat-autocomplete-panel {
    min-width: 273px !important;
}

.md body.dark .mat-autocomplete-panel {
    background: var(--ion-background-color-transparency) !important;
    border: solid 1px var(--ion-item-background) !important;
    backdrop-filter: blur(20px) saturate(2);
    transition: all 0.2s;
    .matOptionCell {
        color: white;
    }

    .mat-option.mat-selected:not(.mat-active):not(:hover) {
        background: rgba(255, 255, 255, 0.151);
    }
}

.mat-autocomplete-panel.mat-autocomplete-visible {
    margin-top: 20px;
    border-radius: 22px !important;
}
